Get All Transaction Statuses

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/transactiondesk-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "TransactionDesk API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/transactiondesk-api/mcp"
  }
}

Close
GET /v2/transactions/statuses

Returns all transaction statuses the authenticated user is entitled to see.

Responses

  • 200 application/json

    List of transaction statuses returned successfully

    Hide response attributes Show response attributes object
    • id string(uuid)

      Unique identifier for this transaction status

    • name string
    • ownerId string(uuid)

      Owner of this status (Global, Association, Office, or Personal level)

    • dateCreated string(date-time)
    • lastModified string(date-time)
  • 401 application/json

    Unauthorized

    Hide response attributes Show response attributes object
    • code integer
    • message string
    • details array
    • data
GET /v2/transactions/statuses
curl \
 --request GET 'https://api.pre.transactiondesk.com/v2/transactions/statuses' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "id": "ee349fd8-5842-420f-84a2-9b80b8d9632e",
    "name": "Active",
    "ownerId": "476ba212-d96d-49e5-82df-3f474d9e9188",
    "dateCreated": "2008-03-02T04:26:50.607+00:00",
    "lastModified": "2008-03-02T04:26:50.607+00:00"
  }
]
Response examples (401)
{
  "code": 401,
  "message": "Unauthorized. The user is not authenticated.",
  "details": []
}